Feature # 7 (New): DNS resolution system

Status: In Progress Priority: Normal
Updated: 11/02/2013 Due date:

Subject: lease sharing

Description

History

#1 - 10/19/2013 11:02 pm - Gioacchino Mazzurco

- Status changed from New to In Progress

- Assignee set to Gioacchino Mazzurco

- % Done changed from 0 to 80

- Estimated time set to 5.00

#2 - 10/21/2013 06:55 am - Gioacchino Mazzurco

Translating alfred json to dhcp lease syntax is missing, gui already done something similar for bathost so we can look at that as reference

Also a little lime-system-module that autoconfigure dnsmasq the correct way is in the way ( We should provide this inside this package or inside

lime-system ? )

#3 - 11/02/2013 08:42 pm - Gioacchino Mazzurco

- % Done changed from 80 to 90

- Estimated time changed from 5.00 to 7.00

The lua script now work perfectly, needed some upstream change:

    1. [dnsmasq] Add to dnsmasq a SIGx handler that to call the dhcp-script init each SIGx ( restart periodically dnsmasq isn't a good idea ) [x] [ guido

already emailed dnsmasq developers ]

    2. [openwrt] Add missing option --leasefile-ro to /etc/config/dhcp [ should send singleliner patch to openwrt developers ]

    3. [alfred] Needed some kind of callback on change implemented in alfred otherwise we need to pool it periodically ( not a good idea ) [x] [DONE sent

feature request to batman maillist]
